### Function

# Dex unix_connection_receive_credentials

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_unix_connection_receive_credentials (
      GUnixConnection* connection
    )

#### Description [src]

Wraps `g_unix_connection_receive_credentials_async()`.

Available since: 1.2

#### Parameters

`connection`

  Type: `GUnixConnection`

  A `GUnixConnection`.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GCredentials` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.